import { PayloadAction } from '@reduxjs/toolkit';
import { AuthAttributes, AuthRootState, AuthTokens, ModifyAuthAttribute } from './types';
export declare const setAuthTokens: import("@reduxjs/toolkit").ActionCreatorWithPayload<AuthTokens, string>, deleteAuthAttributes: import("@reduxjs/toolkit").ActionCreatorWithoutPayload<string>;
export declare const setAuthAttribute: <T>(attr: AuthAttributes<T>) => {
    payload: AuthAttributes<T>;
    type: string;
};
export declare const updateAuthAttribute: <T>(attrs: ModifyAuthAttribute<T>) => {
    payload: ModifyAuthAttribute<T>;
    type: string;
};
export declare const getAuthAttribute: (state: AuthRootState, name: keyof AuthAttributes) => string | number | boolean | undefined;
declare const _default: import("@reduxjs/toolkit").Reducer<AuthAttributes<unknown>, import("@reduxjs/toolkit").AnyAction>;
export default _default;
